## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 21
%bcond_without check
%global debug_package %{nil}

%global crate file-per-thread-logger

Name:           rust-%{crate}
Version:        0.1.5
Release:        %autorelease
Summary:        Logging implementation that writes logs in one file per thread

# Upstream license specification: Apache-2.0 WITH LLVM-exception
License:        ASL 2.0
URL:            https://crates.io/crates/file-per-thread-logger
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Logging implementation that writes logs in one file per thread.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * tests can not be run in parallel:
#   https://github.com/bnjbvr/file-per-thread-logger/blob/1fb9c9e14/.github/workflows/rust.yml#L25
%cargo_test tests
%cargo_test formatted_logs
%cargo_test uninitialized_threads_should_panic
%cargo_test logging_from_uninitialized_threads_allowed
%endif

%changelog
* Thu Mar 31 2022 Fabio Valentini <decathorpe@gmail.com> 0.1.5-1
- Update to version 0.1.5; Fixes RHBZ#2051014

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun May 23 16:29:33 CEST 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.1.4-1
- Initial package

